# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-postgresql}

Name:		miracle-zbx-agent2-plugin-postgresql
Version:	6.0.31
Release:	1%{?alphatag}%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring PostgreSQL installations
Group:		Applications/Internet
License:	Apache 2.0
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}%{?alphatag}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring PostgreSQL installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}%{?alphatag}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp zabbix-agent2-plugin-postgresql $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp postgresql.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-postgresql
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/postgresql.conf

%changelog
* Thu Jun 20 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 6.0.31-1
- Update 6.0.31.

* Fri Jun 24 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> - 1.2.0-1
- initial release of postgresql plugin for MIRACLE ZBX agent2

